import request, { postBlob } from '@/utils/request'

// 供应产品

// 获取新供应商产品信息列表
export function getNewVenderGoodsList(data) {
  return request({
    url: `/vender/goods/rela/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}
// 导出
export function exportVenderGoods(data, name) {
  return postBlob({
    url: '/vender/goods/rela/list/export',
    data,
    name
  })
}

// -----------------------------------------

export function newGetVenderList(data) {
  return request({
    url: `/vender/master/zfire/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function newGetVenderListExport(data, name) {
  return postBlob({
    url: '/vender/master/zfire/list/export',
    data,
    name
  })
}

// 获取供应商资料列表
export function getVenderList(params) {
  return request({
    url: '/vender/master/list',
    method: 'get',
    params
  })
}

// 获取供应商资料信息
export function getVender(params) {
  return request({
    url: '/vender/master/detail',
    method: 'get',
    params
  })
}

// 新增供应商资料
export function addVender(params) {
  return request({
    url: '/vender/master/add',
    method: 'post',
    data: params
  })
}

// 编辑供应商资料
export function editVender(params) {
  return request({
    url: '/vender/master/update',
    method: 'post',
    data: params
  })
}

// 获取供应商产品关系维护单列表
export function getVenderGoodsSheetList(params) {
  return request({
    url: '/vender/manager/list',
    method: 'get',
    params
  })
}

// 获取供应商产品关系维护单信息
export function getVenderGoodsSheet(params) {
  return request({
    url: '/vender/manager/detail',
    method: 'get',
    params
  })
}

// 新增供应商产品关系维护单
export function addVenderGoodsSheet(params) {
  return request({
    url: '/vender/manager/add',
    method: 'post',
    data: params
  })
}

// 编辑供应商产品关系维护单
export function editVenderGoodsSheet(params) {
  return request({
    url: '/vender/manager/update',
    method: 'post',
    data: params
  })
}

// 删除供应商产品关系维护单
export function delVenderGoodsSheet(params) {
  return request({
    url: '/vender/manager/del',
    method: 'post',
    params
  })
}

// 审核供应商产品关系维护单
export function confirmVenderGoodsSheet(params) {
  return request({
    url: '/vender/manager/confirm',
    method: 'post',
    params
  })
}

// 获取供应商产品信息列表
export function getVenderGoodsList(params) {
  return request({
    url: '/vender/goods/list',
    method: 'get',
    params
  })
}

export function getNewVenderList(data) {
  return request({
    url: `/vender/manager/zfire/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

// 导出
export function exportNewVenderList(data, name) {
  return postBlob({
    url: '/vender/manager/zfire/list/export',
    data,
    name
  })
}
